proc nguiBindWidgets { W } {
 global env nocsErrors nocsGlobals nocsWidgets nguiLocals nguiWidgets
 set W [string tolower [string trim ${W}]]
 if { $W == "" } {
  nocsInform "nguiBindWidgets <ERROR>: bad parameter W=$W"
  return -1
 }
 $nguiWidgets(CMD_B_DARK)                configure -command "nguiDark .dark"
 $nguiWidgets(CMD_B_TEST)                configure -command "nguiTest .test"
 $nguiWidgets(CMD_B_DOMEFLAT)            configure -command "nguiDomeFlat .dflat"
 $nguiWidgets(CMD_B_DOMEFLATSEQUENCE)    configure -command "nguiDomeFlatSeq .dflatseq"
 $nguiWidgets(CMD_B_PTCURVE)             configure -command "nguiPTCurve .ptcurve"
 $nguiWidgets(CMD_B_TWILIGHTFLAT)        configure -command "nguiTwilightFlat .tflat"
 $nguiWidgets(CMD_B_SKYFLAT)             configure -command "nguiSkyFlat .sflat"
 $nguiWidgets(CMD_B_SKYFLATWITHOFFSET)   configure -command "nguiSkyFlatWithOffset .sflato"
 $nguiWidgets(CMD_B_STANDARD)            configure -command "nguiStandard .standard"
 $nguiWidgets(CMD_B_FOCUS)               configure -command "nguiFocus .focus"
 $nguiWidgets(CMD_B_DITHERSTARE)         configure -command "nguiDitherStare .ditherstare"
 $nguiWidgets(CMD_B_QUICKLOOK)           configure -command "nguiQuickLook .quicklook"
 $nguiWidgets(CMD_B_DEEPSPARSE)          configure -command "nguiDeepSparse .deepsparse"
 $nguiWidgets(CMD_B_DEEPRICH)            configure -command "nguiDeepRich .deeprich"
 $nguiWidgets(CMD_B_SETPROJECT)          configure -command "nguiSetProject .proj"
 $nguiWidgets(CMD_B_QUICKMAP)            configure -command "nguiQuickMap .quickmap"
 $nguiWidgets(CMD_B_QUICKMAPWITHSKY)     configure -command "nguiQuickMapWithSky .quickmapwithsky"
 $nguiWidgets(CMD_B_MODMAPSPARSE)        configure -command "nguiModMapSparse .modmapsparse"
 $nguiWidgets(CMD_B_MODMAPRICH)          configure -command "nguiModMapRich .modmaprich"
 $nguiWidgets(CMD_B_EXIT)                configure -command "nocsExit $nocsGlobals(SYSLEV) 0"
 $nocsWidgets(TW) tag configure errs -background pink  -foreground red  -relief raised
 return 0
}
