proc nguiDitherA { F } {
 # global(s)
 global env nocsErrors nocsGlobals nocsWidgets nguiLocals nocsParams nguiWidgets
 set nguiLocals(DTHHR) 0
 set nguiLocals(DTHHD) 0
 set nguiLocals(DTHLR) 0
 set nguiLocals(DTHLD) 0
 set N [$nguiWidgets(DTH_S_N) get]
 set nguiLocals(RUPPERD) [expr abs([$nguiWidgets(DTH_S_R) get])]
 set nguiLocals(DUPPERD) [expr abs([$nguiWidgets(DTH_S_D) get])]
 set nguiLocals(RLOWERD) [expr $nguiLocals(RUPPERD) * -1]
 set nguiLocals(DLOWERD) [expr $nguiLocals(DUPPERD) * -1]
 # series of N frames
 for { set nocsParams(NOCDPOS) 1 } { $nocsParams(NOCDPOS) <= $N } { incr nocsParams(NOCDPOS) } {
  # do offset according to brownian rules
  if { $nguiLocals(ABM) == $nocsGlobals(TRUE) } {
   set nocsParams(NOCDROF) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(RLOWERD) $nguiLocals(RUPPERD)]
   set nocsParams(NOCDDOF) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(DLOWERD) $nguiLocals(DUPPERD)]
   set nguiLocals(DTHHR)   [expr $nguiLocals(DTHHR) + $nocsParams(NOCDROF)]
   set nguiLocals(DTHHD)   [expr $nguiLocals(DTHHD) + $nocsParams(NOCDDOF)]
   set nocsParams(NOCOFFT) "$nocsParams(NOCDROF) $nocsParams(NOCDDOF)"
   nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), dither reference $nocsParams(NOCDPOS) with Brownian motion"
  } else {
   if { $nocsParams(NOCDPOS) > 1 } {
    set nguiLocals(DTHLR) $nocsParams(NOCDROF)
    set nguiLocals(DTHLD) $nocsParams(NOCDDOF)
   }
   set nocsParams(NOCDROF) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(RLOWERD) $nguiLocals(RUPPERD)]
   set nocsParams(NOCDDOF) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(DLOWERD) $nguiLocals(DUPPERD)]
   set nocsParams(NOCOFFT) "[expr $nocsParams(NOCDROF) - $nguiLocals(DTHLR)] [expr $nocsParams(NOCDDOF) - $nguiLocals(DTHLD)]"
   nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), dither reference $nocsParams(NOCDPOS) no Brownian motion"
  }
  for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
 }
 # return home
 set nocsParams(NOCDPOS) 1
 if { $nguiLocals(ABM) == $nocsGlobals(TRUE) } {
  set nocsParams(NOCOFFT) "[expr $nguiLocals(DTHHR) * -1] [expr $nguiLocals(DTHHD) * -1]"
 } else {
  set nocsParams(NOCOFFT) "[expr $nocsParams(NOCDROF) * -1] [expr $nocsParams(NOCDDOF) * -1]"
 }
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), return home"
}
