proc nguiFocus { W } { nguiEnableRecipe $W focus }

proc nguiFOCUSOk { W } {
 global env nocsGlobals nocsParams nguiLocals nguiWidgets
 nguiGetRecipeParams focus
 set N [nguiSetExecName]
 set F [nguiSetExecOpen $N]
 nguiSetExecHeader $F $N
 nguiSetGpx $F $nocsParams(NOCTIM) $nocsParams(NOCCOADD) $nocsParams(NOCFSMPL) $nocsParams(NOCDGAVG) $nocsParams(NOCBIAS)
 nguiSetFilter $F
 nguiSetTelFocus $F $nocsParams(NOCFOCUS)
 nguiSetTel $F
 set nocsParams(NOCOFFT) "[$nguiWidgets(TEL_E_OR) get] [$nguiWidgets(TEL_E_OD) get]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope for focus sky"
 set nocsParams(NOCTYP) SKY
 for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
 set nocsParams(NOCOFFT) "[expr [$nguiWidgets(TEL_E_OR) get] * -1] [expr [$nguiWidgets(TEL_E_OD) get] * -1]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope for focus object"
 set nocsParams(NOCTYP) OBJECT
 for { set i 1 } { $i < [$nguiWidgets(TEL_E_FN) get] } { incr i } {
  for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
  incr nocsParams(NOCFOCUS) [$nguiWidgets(TEL_E_FI) get]
  nguiSetTelFocus $F $nocsParams(NOCFOCUS)
 }
 for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
 nguiSetExecClose $F $N
 nocsFrameCancel $F $W
}
