proc nguiGetDthParams { } {
 global env nguiLocals nocsParams
 set nocsParams(NOCDROF)  $nguiLocals(DTH_S_R_VAL)
 set nocsParams(NOCDDOF)  $nguiLocals(DTH_S_D_VAL)
 set nocsParams(NOCDITER) $nguiLocals(DTH_S_I_VAL)
 set N $nguiLocals(DTH_S_N_VAL)
 set M $nguiLocals(DTH_S_M_VAL)
 set nguiLocals(TOTNDTH) 0
 switch -regexp $nguiLocals(DTH_R_VAL) {
  Q {
   set nocsParams(NOCDPAT) Q
   set nguiLocals(TOTNDTH) [expr $nocsParams(NOCNUM) * 4]
   set nguiLocals(GDRNDTH) 4
  }
  X {
   set nocsParams(NOCDPAT) 5PX
   set nguiLocals(TOTNDTH) [expr $nocsParams(NOCNUM) * 5]
   set nguiLocals(GDRNDTH) 5
  }
  A {
   set nocsParams(NOCDPAT) ${N}-Random
   set nguiLocals(TOTNDTH) [expr $nocsParams(NOCNUM) * $N]
   set nguiLocals(GDRNDTH) $N
  }
  N {
   set nocsParams(NOCDPAT) ${N}x${M}
   set nguiLocals(TOTNDTH) [expr $nocsParams(NOCNUM) * [expr $N * $M]]
   set nguiLocals(GDRNDTH) [expr $N * $M]
  }
  F {
   set nocsParams(NOCDPAT) F
   set nguiLocals(DOFFSETN) 0
   set nguiLocals(DOFFSETS) {}
   set Z [glob -nocomplain $nguiLocals(DTH_E_F_VAL)]
   if { $Z == "" } {
    tk_dialog .dialog "Dither Offset File Search Failed" "The file $nguiLocals(DTH_E_F_VAL) does not exist in the specified directory. Please try again!" info 0 Dismiss
   } else {
    set X [open $Z r]
    while { [gets $X T]>=0 } {
     if { [string index $T 0] != "#" } {
      lappend nguiLocals(DOFFSETS) $T
      incr nguiLocals(DOFFSETN)
     }
    }
    close $X
   }
   set nguiLocals(TOTNDTH) [expr $nocsParams(NOCNUM) * $nguiLocals(DOFFSETN)]
   set nguiLocals(GDRNDTH) $nguiLocals(DOFFSETN)
  }
 }
 set nguiLocals(TOTNDTH) [expr $nguiLocals(TOTNDTH) * $nocsParams(NOCDITER)]
 nocsInform "nguiGetDthParams <INFO>: dither has $nguiLocals(TOTNDTH) observations"
 return $nguiLocals(TOTNDTH)
}
