proc nguiGetHelp { W H } {
 # global(s)
 global env nguiErrors nguiGlobals nguiWidgets nguiLocals nguiWidgets
 # make sure we're a unique window
 if { [winfo exists $W] } { destroy $W }
 toplevel $W
 wm title $W $env(NGUI_DOC)/$H
 # create widgets and populate them
 set U [frame ${W}.u]
 set L [frame ${W}.l]
 pack $U $L -side top -fill both -expand yes
 # create text widget with scrollbar
 set nguiWidgets(HSB) [scrollbar ${U}.s -orient vertical -relief sunken -bd 2]
 set nguiWidgets(HTW) [text ${U}.t -state disabled -wrap word -relief sunken -bd 2]
 $nguiWidgets(HSB) configure -command "$nguiWidgets(HTW) yview"
 $nguiWidgets(HTW) configure -yscroll "$nguiWidgets(HSB) set"
 pack $nguiWidgets(HSB) -side right -fill y
 pack $nguiWidgets(HTW) -side right -fill both -expand yes
 # create Done buttons
 set nguiWidgets(HLP_DONE) [button ${L}.d -text Done]
 pack $nguiWidgets(HLP_DONE) -side left -fill both -expand y
 $nguiWidgets(HLP_DONE) configure -command "destroy $W"
 # load the file
 $nguiWidgets(HTW) configure -state normal
 $nguiWidgets(HTW) delete 1.0 end
 set D [open $env(NGUI_DOC)/$H r]
 while { ![eof $D] } { $nguiWidgets(HTW) insert end [read $D 1000] }
 close $D
}
