proc nguiScrFrame { W } {
 global nguiWidgets
 set nguiWidgets(SCR_F1) [frame ${W}.f1]
 set nguiWidgets(SCR_F2) [frame ${W}.f2]
 pack $nguiWidgets(SCR_F1) $nguiWidgets(SCR_F2) -side top -fill both -expand yes
 nguiScrF1 $nguiWidgets(SCR_F1)
 nguiScrF2 $nguiWidgets(SCR_F2)
 nguiScrDisable
}

proc nguiScrF1 { W } {
 pack [label ${W}.l -bg lightblue -fg black -text "SCRIPT CONFIGURATION" -font -adobe-helvetica-bold-r-normal--*-180-*] -expand yes -fill both
}

proc nguiScrF2 { W } {
 global nguiWidgets nguiLocals
 set nguiWidgets(SCR_E_N) [entry ${W}.n -width 35 -textvariable nguiLocals(SCR_E_N_VAL)]
 set nguiWidgets(SCR_E_O) [entry ${W}.o -width 35 -textvariable nguiLocals(SCR_E_O_VAL)]
 pack [label ${W}.l1 -bg lightblue -text "Object Name:"] $nguiWidgets(SCR_E_O) -side left  -expand yes -fill both
 pack $nguiWidgets(SCR_E_N) [label ${W}.l2 -bg lightblue -text "Script Name:"] -side right -expand yes -fill both
}

proc nguiScrDisable { } {
 global nguiWidgets
 $nguiWidgets(SCR_E_N) configure -state disabled
 $nguiWidgets(SCR_E_O) configure -state disabled
}

proc nguiScrEnable { F1 F2 } {
 global nguiWidgets nocsGlobals
 if { $F1 == $nocsGlobals(TRUE) } { $nguiWidgets(SCR_E_N) configure -state normal }
 if { $F2 == $nocsGlobals(TRUE) } { $nguiWidgets(SCR_E_O) configure -state normal }
}

proc nguiScrGet { } {
 global env nguiLocals nocsParams nguiWidgets
 set nocsParams(NOCOBJ) [nocsEncodeVerbotenChars [$nguiWidgets(SCR_E_O) get]]
 if { $nocsParams(NOCOBJ)=="" } { set nocsParams(NOCOBJ) newfirmObject }
 set nocsParams(NOCSCR) [nocsCleanStr [$nguiWidgets(SCR_E_N) get]]
 if { $nocsParams(NOCSCR)=="" || $nocsParams(NOCSCR)=="_" } { set nocsParams(NOCSCR) newfirmScript }
}
