#!/bin/sh
# the next line restarts using wish \
exec `which wish` "$0" "$@"

 # global(s)
  global env nocsErrors nocsGlobals nocsParams nocsWidgets nguiLocals nguiWidgets

 # set paths
  auto_mkindex $env(NGUI_NGUI) $env(NGUI_NGUI)/*.tcl
  lappend auto_path $env(NGUI_NGUI) $env(PWD)

 # initialize
  nocsInitGlobals
  nguiInitLocals
  nocsInitVersions
  
 # set x options and create window
  nocsSetXopts $env(NGUI_XOPT)
  nguiBuildFrame $nocsGlobals(SYSLEV)

 # load msdTcl library
  nguiBindWidgets $nocsGlobals(SYSLEV)

 # read parameter(s) and default script value(s)
  nocsParamsInit
  nguiInitValues

 # identify project
  nguiSetProject .proj
  update idletasks
