proc nguiDitherN { F } {
 # global(s)
 global env nocsGlobals nocsWidgets nguiLocals nocsParams nguiWidgets
 set nguiLocals(DTHHR) 0
 set nguiLocals(DTHHD) 0
 # series of NxM (RAxDec)
 set N    [$nguiWidgets(DTH_S_N) get]
 set M    [$nguiWidgets(DTH_S_M) get]
 set Roff [expr abs($nocsParams(NOCDROF))]
 set Doff [expr abs($nocsParams(NOCDDOF))]
 # initial field center offset
 set nocsParams(NOCDPOS) 1
 set nguiLocals(DTHIR) [expr ${Roff}*(${N}-1)/(-2)]
 set nguiLocals(DTHID) [expr ${Doff}*(${M}-1)/(-2)]
 set nocsParams(NOCOFFT) "$nguiLocals(DTHIR) $nguiLocals(DTHID)"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), dither reference $nocsParams(NOCDPOS) (field center)"
 set nguiLocals(DTHHR) $nguiLocals(DTHIR)
 set nguiLocals(DTHHD) $nguiLocals(DTHID)
 # do RA x Dec
 set Rdir 1
 set Ddir 1
 for { set Didx 1 } { $Didx <= $M } { incr Didx } {
  for { set Ridx 1 } { $Ridx <= $N } { incr Ridx } {
   if { $Ridx > 1 } {
    set nocsParams(NOCOFFT) "[expr $Roff * $Rdir] 0"
    set nguiLocals(DTHHR) [expr $nguiLocals(DTHHR) + [expr $Roff * $Rdir]]
    nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), dither reference $nocsParams(NOCDPOS)"
   }
   for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
   incr nocsParams(NOCDPOS)
  }
  if { $Didx < $M } {
   set nocsParams(NOCOFFT) "0 $Doff" 
   set nguiLocals(DTHHD) [expr $nguiLocals(DTHHD) + [expr $Doff * $Ddir]]
   nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), dither reference $nocsParams(NOCDPOS)"
  }
  set Rdir [expr ${Rdir} * -1] 
 }
 # final field center offset
 set nocsParams(NOCOFFT) "[expr $nguiLocals(DTHHR) * (-1)] [expr $nguiLocals(DTHHD) * (-1)]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for dither $nocsParams(NOCDPAT), return home"
}
