proc nguiDomeFlatSeq { W } { nguiEnableRecipe $W dflats }

proc nguiDFLATSOk { W } {
 global env nocsGlobals nocsParams nguiLocals nguiWidgets
 nguiGetRecipeParams dflats
 set N [nguiSetExecName]
 set F [nguiSetExecOpen $N]
 nguiSetExecHeader $F $N
 nguiSetTel $F
 nguiWaitForReady $F "# remind observer to turn lamp off" "echo \"PLEASE TURN *OFF* THE DOME FLAT LAMP\""
 set nocsParams(NOCLAMP) Off
 for { set i 1 } { $i <= [expr $nguiLocals(NFILTER) - 2] } { incr i } { nguiWriteDomeFlatSeq $F $i $nocsGlobals(FALSE) }
 set nocsParams(NOCLAMP) On
 for { set i [expr $nguiLocals(NFILTER) - 2] } { $i > 0 } { incr i -1 } { nguiWriteDomeFlatSeq $F $i $nocsGlobals(TRUE) }
 nguiWaitForReady $F "# remind observer to turn lamp off" "echo \"PLEASE TURN *OFF* THE DOME FLAT LAMP\""
 nguiSetExecClose $F $N
 nguiSeqDelTrace
 nocsFrameCancel $F $W
}

proc nguiWriteDomeFlatSeq { F N I } {
 global env nocsGlobals nocsParams nguiLocals nguiWidgets
 if { $F < 0 } { return }
 if { $nguiLocals(OBS_C_${N}_VAL) == $nocsGlobals(FALSE) } { return }
 set nocsParams(NOCFSMPL) $nguiLocals(SEQ_R_F${N}_VAL)
 set nocsParams(NOCDGAVG) $nguiLocals(SEQ_R_D${N}_VAL)
 set nocsParams(NOCBIAS)  $nguiLocals(SEQ_R_B${N}_VAL)
 set nocsParams(NOCTIM)   [nguiCheckEntry SEQ_E_I${N}_VAL [$nguiWidgets(SEQ_E_I${N}) get] NOCTIM 0.7]
 set nocsParams(NOCCOADD) [nguiCheckEntry SEQ_E_C${N}_VAL [$nguiWidgets(SEQ_E_C${N}) get] NOCCOADD 1]
 nguiSetGpx $F $nocsParams(NOCTIM) $nocsParams(NOCCOADD) $nocsParams(NOCFSMPL) $nocsParams(NOCDGAVG) $nocsParams(NOCBIAS)
 set L [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr ${N} - 1]] $nocsGlobals(DELIM)] 1]]
 set V [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr ${N} - 1]] $nocsGlobals(DELIM)] 0]]
 set S [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr ${N} - 1]] $nocsGlobals(DELIM)] 5]]
 set nocsParams(NOCFIL) $V
 set nocsParams(NOCFSN) $S
 nguiSetFilter $F
 if { ${I} == $nocsGlobals(TRUE) } {
  nguiWaitForReady $F "# tell observer to adjust dome flat lamp level per filter" "echo \"PLEASE TURN *ON* AND/OR *ADJUST* THE DOME LAMP LEVEL FOR FILTER ${L}\""
 }
 for { set nocsParams(NOCNPOS) 1 } { $nocsParams(NOCNPOS) <= $nocsParams(NOCNUM) } { incr nocsParams(NOCNPOS) } { nguiObserve $F }
}
