proc nguiEnableWidgets { R } {
 global nocsGlobals nocsParams nguiLocals nguiWidgets
 # SCR widgets
 nguiScrEnable 1 1
 # OBS widgets
 switch -exact $R {
  PTCURVE { nguiObsSpinEnable 0 0 }
  QUICKMAPWITHSKY -
  MODMAPRICH      { nguiObsSpinEnable 1 1 }
  default { nguiObsSpinEnable 1 0 }
 }
 switch -exact $R {
  DARK    { nguiObsRadioEnableFilter Dark }
  TEST    { nguiObsRadioEnable; nguiObsRadioDisableFilter Open }
  DFLATS  { nguiObsCheckEnable; nguiObsCheckDisableFilter Dark; nguiObsCheckDisableFilter Open }
  default { nguiObsRadioEnable; nguiObsRadioDisableFilter Dark; nguiObsRadioDisableFilter Open }
 }
 # GPX widgets
 switch -exact $R {
  PTCURVE { }
  DFLATS { nguiSeqEnable }
  default { nguiGpxEnable }
 }
 # TEL widgets
 switch -exact $R {
  DFLATON         { nguiTelEnableByFlag 0 0 0 0 0 1 0 0 0 0 0 0 }
  DFLATOFF        { nguiTelEnableByFlag 0 0 0 0 0 1 0 0 0 0 0 0 }
  DFLATS          { nguiTelEnableByFlag 0 0 0 0 0 1 0 0 0 0 0 0 }
  TFLAT           { nguiTelEnableByFlag 1 1 1 1 1 0 1 0 0 0 0 0 }
  SFLAT           { nguiTelEnableByFlag 1 1 1 1 1 0 1 0 0 0 0 0 }
  SFLATO          { nguiTelEnableByFlag 1 1 1 1 1 0 1 1 1 0 0 0 }
  STANDARD        { nguiTelEnableByFlag 1 1 1 0 0 0 1 0 0 0 0 0 }
  FOCUS           { nguiTelEnableByFlag 1 1 1 0 0 0 1 1 1 1 1 1 }
  DITHERSTARE     { nguiTelEnableByFlag 1 1 1 0 0 0 1 0 0 0 0 0 }
  QUICKLOOK       { nguiTelEnableByFlag 1 1 1 0 0 0 1 1 1 0 0 0 }
  DEEPSPARSE      { nguiTelEnableByFlag 1 1 1 0 0 0 1 0 0 0 0 0 }
  DEEPRICH        { nguiTelEnableByFlag 1 1 1 0 0 0 1 1 1 0 0 0 }
  QUICKMAP        { nguiTelEnableByFlag 1 1 1 0 0 0 1 0 0 0 0 0 }
  QUICKMAPWITHSKY { nguiTelEnableByFlag 1 1 1 0 0 0 1 1 1 0 0 0 }
  MODMAPSPARSE    { nguiTelEnableByFlag 1 1 1 0 0 0 1 0 0 0 0 0 }
  MODMAPRICH      { nguiTelEnableByFlag 1 1 1 0 0 0 1 1 1 0 0 0 }
  default { }
 }
 # DTH widgets
 switch -exact $R {
  SFLAT           -
  SFLATO          -
  STANDARD        -
  DITHERSTARE     -
  DEEPSPARSE      -
  DEEPRICH        -
  QUICKMAP        -
  QUICKMAPWITHSKY -
  MODMAPSPARSE    -
  MODMAPRICH      { nguiDthEnable }
  default { }
 }
 # MAP widgets
 switch -exact $R {
  DEEPSPARSE      -
  DEEPRICH        -
  QUICKMAP        -
  QUICKMAPWITHSKY -
  MODMAPSPARSE    -
  MODMAPRICH      { nguiMapEnable }
  default { }
 }
}
