proc nguiGetFilters { F } {
 global nocsGlobals nguiLocals
 if { [file exists $F] == 0 } { return }
 set nguiLocals(FILTERS) {}
 set nguiLocals(NFILTER) 0
 set D [open $F r]
 while { [gets $D T]>=0 } {
  if { [string index $T 0] != "#" } {
   lappend nguiLocals(FILTERS) $T
   incr nguiLocals(NFILTER)
  }
 }
 close $D
}

proc nguiShowFilters { } {
 global nguiLocals
 for { set i 0 } { $i < $nguiLocals(NFILTER) } { incr i } { nocsInform "nguiShowFilter <$nguiLocals(SEMESTER)>: [lindex $nguiLocals(FILTERS) $i]" }
}

proc nguiSetFilterString { F } {
 global nocsGlobals nguiLocals
 for { set i 0 } { $i < $nguiLocals(NFILTER) } { incr i } {
  set L [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 1]]
  set V [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 0]]
  set S [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 5]]
  if { [string trim ${F}] == ${V} } { return [format "%s / %s (%s)" ${V} ${L} ${S}] }
 }
}

proc nguiSetFilterName { F } {
 global nocsGlobals nguiLocals
 for { set i 0 } { $i < $nguiLocals(NFILTER) } { incr i } {
  set V [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 0]]
  if { [string trim ${F}] == ${V} } { return [format "%s" ${V}] }
 }
}

proc nguiSetFilterSerialNumber { F } {
 global nocsGlobals nguiLocals
 for { set i 0 } { $i < $nguiLocals(NFILTER) } { incr i } {
  set V [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 0]]
  set S [string trim [lindex [split [lindex $nguiLocals(FILTERS) [expr $i - 1]] $nocsGlobals(DELIM)] 5]]
  if { [string trim ${F}] == ${V} } { return [format "%s" ${S}] }
 }
}
