proc nguiGetMapParams { } {
 global env nguiLocals nocsParams
 set nocsParams(NOCMROF)  $nguiLocals(MAP_S_R_VAL)
 set nocsParams(NOCMDOF)  $nguiLocals(MAP_S_D_VAL)
 set nocsParams(NOCMITER) $nguiLocals(MAP_S_I_VAL)
 set N $nguiLocals(MAP_S_N_VAL)
 set M $nguiLocals(MAP_S_M_VAL)
 set nguiLocals(TOTMPOS) 0
 switch -regexp $nguiLocals(MAP_R_VAL) {
  Q {
   set nocsParams(NOCMPAT) Q
   set nguiLocals(TOTMPOS) [expr $nocsParams(NOCNUM) * 4]
   set nguiLocals(GDRNMAP) 4
  }
  X {
   set nocsParams(NOCMPAT) 5PX
   set nguiLocals(TOTMPOS) 5
   set nguiLocals(GDRNMAP) 5
  }
  A {
   set nocsParams(NOCMPAT) ${N}-Random
   set nguiLocals(TOTMPOS) $N
   set nguiLocals(GDRNMAP) $N
  }
  N {
   set nocsParams(NOCMPAT) ${N}x${M}
   set nguiLocals(TOTMPOS) [expr $N * $M]
   set nguiLocals(GDRNMAP) [expr $N * $M]
  }
  F {
   set nocsParams(NOCMPAT) F
   set nguiLocals(MOFFSETN) 0
   set nguiLocals(MOFFSETS) {}
   set Z [glob -nocomplain $nguiLocals(MAP_E_F_VAL)]
   if { $Z == "" } {
    tk_dialog .dialog "Map Offsets File Search Failed" "The file $nguiLocals(MAP_E_F_VAL) does not exist in the specified directory. Please try again!" info 0 Dismiss
   } else {
    set X [open $Z r]
    while { [gets $X T]>=0 } {
     if { [string index $T 0] != "#" } {
      lappend nguiLocals(MOFFSETS) $T
      incr nguiLocals(MOFFSETN)
     }
    }
    close $X
   }
   set nguiLocals(TOTMPOS) [expr $nocsParams(NOCNUM) * $nguiLocals(MOFFSETN)]
   set nguiLocals(GDRNMAP) $nguiLocals(MOFFSETN)
  }
 }
 set nguiLocals(TOTMPOS) [expr $nguiLocals(TOTMPOS) * $nocsParams(NOCMITER)]
 nocsInform "nguiGetMapParams <INFO>: map has $nguiLocals(TOTMPOS) positions"
 return $nguiLocals(TOTMPOS)
}
