proc nguiMapF { F V } {
 # global(s)
 global env nocsErrors nocsGlobals nocsWidgets nguiLocals nocsParams nguiWidgets
 set nguiLocals(MAPHR) 0
 set nguiLocals(MAPHD) 0
 # series of offsets
 for { set nocsParams(NOCMPOS) 1 } { $nocsParams(NOCMPOS) <= $nguiLocals(MOFFSETN) } { incr nocsParams(NOCMPOS) } {
  set O [string trim [lindex $nguiLocals(MOFFSETS) [expr $nocsParams(NOCMPOS) - 1]]]
  set Q0 [lindex $O 0]
  set Q1 [lindex $O 1]
  set nocsParams(NOCMROF) [string trim $Q0]
  set nocsParams(NOCMDOF) [string trim $Q1]
  set nguiLocals(MAPHR)   [expr $nguiLocals(MAPHR) + $nocsParams(NOCMROF)]
  set nguiLocals(MAPHD)   [expr $nguiLocals(MAPHD) + $nocsParams(NOCMDOF)]
  set nocsParams(NOCOFFT) "$nocsParams(NOCMROF) $nocsParams(NOCMDOF)"
  nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map pattern $nocsParams(NOCMPAT), map position $nocsParams(NOCMPOS)"
  # observe
  for { set nocsParams(NOCDREP) 1 } { $nocsParams(NOCDREP) <= $nocsParams(NOCDITER) } { incr nocsParams(NOCDREP) } { nguiDither$nguiLocals(DTH_R_VAL) $F }
  if { $V>0 && [nguiIsModulo $nocsParams(NOCMPOS) $V]==$nocsGlobals(TRUE) } { nguiSkyMapOffset $F }
 }
 # return home
 set nocsParams(NOCMPOS) 1
 set nocsParams(NOCOFFT) "[expr $nguiLocals(MAPHR) * -1] [expr $nguiLocals(MAPHD) * -1]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map pattern $nocsParams(NOCMPAT), return home"
}
