proc nguiMapN { F V } {
 # global(s)
 global env nocsGlobals nocsWidgets nguiLocals nocsParams nguiWidgets
 set nguiLocals(MAPHR) 0
 set nguiLocals(MAPHD) 0
 # series of NxM (RAxDec)
 set N [$nguiWidgets(MAP_S_N) get]
 set M [$nguiWidgets(MAP_S_M) get]
 set Roff [expr abs($nocsParams(NOCMROF))]
 set Doff [expr abs($nocsParams(NOCMDOF))]
 # initial field center offset
 set nocsParams(NOCMPOS) 1
 set nguiLocals(MAPIR) [expr ${Roff}*(${N}-1)/(-2)]
 set nguiLocals(MAPID) [expr ${Doff}*(${M}-1)/(-2)]
 set nocsParams(NOCOFFT) "$nguiLocals(MAPIR) $nguiLocals(MAPID)"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map $nocsParams(NOCMPAT), map reference $nocsParams(NOCMPOS) (field center)"
 set nguiLocals(MAPHR) $nguiLocals(MAPIR)
 set nguiLocals(MAPHD) $nguiLocals(MAPID)
 # do RA x Dec
 set Rdir 1
 set Ddir 1
 for { set Didx 1 } { $Didx <= $M } { incr Didx } {
  for { set Ridx 1 } { $Ridx <= $N } { incr Ridx } {
   if { $Ridx > 1 } {
    set nocsParams(NOCOFFT) "[expr $Roff * $Rdir] 0"
    set nguiLocals(MAPHR) [expr $nguiLocals(MAPHR) + [expr $Roff * $Rdir]]
    nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map $nocsParams(NOCMPAT), map reference $nocsParams(NOCMPOS)"
   }
   for { set nocsParams(NOCDREP) 1 } { $nocsParams(NOCDREP) <= $nocsParams(NOCDITER) } { incr nocsParams(NOCDREP) } { nguiDither$nguiLocals(DTH_R_VAL) $F }
   if { ${V}>0 && [nguiIsModulo $nocsParams(NOCMPOS) ${V}]==$nocsGlobals(TRUE) } { nguiSkyMapOffset $F }
   incr nocsParams(NOCMPOS)
  }
  if { $Didx < ${M} } {
   set nocsParams(NOCOFFT) "0 $Doff" 
   set nguiLocals(MAPHD) [expr $nguiLocals(MAPHD) + [expr $Doff * $Ddir]]
   nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map $nocsParams(NOCMPAT), map reference $nocsParams(NOCMPOS)"
  }
  set Rdir [expr ${Rdir} * -1] 
 }
 # final field center offset
 set nocsParams(NOCOFFT) "[expr $nguiLocals(MAPHR) * (-1)] [expr $nguiLocals(MAPHD) * (-1)]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for map $nocsParams(NOCDPAT), return home"
}
