proc nguiSkyMapRandom { F } {
 # global(s)
 global nocsGlobals nguiLocals nocsParams nguiWidgets
 # home telescope
 # set nocsParams(NOCOFFT) "[expr $nguiLocals(MAPHR) * -1] [expr $nguiLocals(MAPHD) * -1]"
 set nocsParams(NOCOFFT) "$nguiLocals(MAPHR) $nguiLocals(MAPHD)"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for science home position"
 # offset to sky
 set nocsParams(NOCOFFT) "$nocsParams(NOCORA) $nocsParams(NOCODEC)"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for sky home position"
 # randomize pattern from here 
 set nguiLocals(RUPPERD) [$nguiWidgets(DTH_S_R) get]
 set nguiLocals(DUPPERD) [$nguiWidgets(DTH_S_D) get]
 set nguiLocals(RLOWERD) [expr $nguiLocals(RUPPERD) * -1]
 set nguiLocals(DLOWERD) [expr $nguiLocals(DUPPERD) * -1]
 set nguiLocals(ROR) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(RLOWERD) $nguiLocals(RUPPERD)]
 set nguiLocals(ROD) [nguiRandom $nocsGlobals(FALSE) $nguiLocals(RLOWERD) $nguiLocals(RUPPERD)]
 set nocsParams(NOCOFFT) "$nguiLocals(ROR) $nguiLocals(ROD)"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for sky random dither position"
 # dither
 set nocsParams(NOCTYP) SKY
 for { set nocsParams(NOCDREP) 1 } { $nocsParams(NOCDREP) <= $nocsParams(NOCDITER) } { incr nocsParams(NOCDREP) } {
  nguiDither$nguiLocals(DTH_R_VAL) $F
 }
 set nocsParams(NOCTYP) OBJECT
 # undo random move
 set nocsParams(NOCOFFT) "[expr $nguiLocals(ROR) * -1] [expr $nguiLocals(ROD)* -1] "
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for return to sky home position"
 # undo sky offset
 set nocsParams(NOCOFFT) "[expr $nocsParams(NOCORA) * -1] [expr $nocsParams(NOCODEC)* -1] "
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for return to science home position"
 # undo map offset
 # set nocsParams(NOCOFFT) "$nguiLocals(MAPHR) $nguiLocals(MAPHD)"
 set nocsParams(NOCOFFT) "[expr $nguiLocals(MAPHR) * -1] [expr $nguiLocals(MAPHD) * -1]"
 nguiSetTelOff $F $nocsParams(NOCOFFT) "offset telescope $nocsParams(NOCOFFT) for return to science map"
}
